MODULE	'tools/boards',
	'tools/boards_pragmas'

DEF	bi:PTR TO boardinfo,
	cd,
	boards

PROC main()
	cd:=bi.configdev

	IF (boardsbase:=OpenLibrary('boards.library',0))=NIL
		WriteF('Error opening boards.library..\n')
		CleanUp(0)
	ENDIF
	IF (bi:=AllocBoardInfo(SB_EXPANSION_TYPE_DEC))=NIL
		WriteF('Error allocating boardinfo..\n')
		CloseLibrary(boardsbase)
		CleanUp(0)
	ENDIF

	WriteF('[1mBoardsInfo[0m v1.0 coded in AmigaE by Dr. Ice/LSC^OPS\n\n')
	WriteF('The following boards is installed on your computer..\n\n')
	WriteF('[1mNr. Manufacturer             Product               ID\as[0m\n')

	WHILE (cd:=NextBoardInfo(bi,cd))<>NIL
		INC boards
		GetBoardName(bi.manuname,bi.prodname,cd,bi.manuid,bi.prodid)
		WriteF('\r\z\d[2]  \l\s[20]     \s[20]  \r\z$\h[5]  \r\z$\h[5]\n',boards,bi.manuname,bi.prodname,Val(bi.manuid),Val(bi.prodid))
		IF CtrlC()=TRUE
			FreeBoardInfo(bi)
			CloseLibrary(boardsbase)
			CleanUp(0)
		ENDIF
		
	ENDWHILE
	FreeBoardInfo(bi)
	CloseLibrary(boardsbase)
ENDPROC
